Page MenuHomePhabricator

gmail users being suspended from mediawiki-l due to excessive bounces due to DMARC
Open, NormalPublic0 Story Points

Description

cc list admins: @Platonides and @Aklapper

On IRC today at least 4 people complained about being suspended from mediawiki-l due to excessive bounces. I think all are gmail users.

Your membership in the mailing list MediaWiki-l has been disabled due to excessive bounces

Event Timeline

Legoktm created this task.Jun 11 2019, 6:40 PM
Restricted Application added a project: Operations. · View Herald TranscriptJun 11 2019, 6:40 PM
lcawte added a subscriber: lcawte.Jun 11 2019, 7:23 PM
Aklapper added a comment.EditedJun 11 2019, 10:41 PM

I know that a lot of folks received

Your membership in the mailing list MediaWiki-l has been disabled due
to excessive bounces The last bounce received from you was dated
11-Jun-2019.  You will not get any more messages from this list until
you re-enable your membership.  You will receive 3 more reminders like
this before your membership in the list is deleted.

I also know that I (list admin) received 692 emails at 16:29UTC saying Bounce action notification.
All of them have in common that they include variations of:

550-5.7.1 Unauthenticated
    email from nasa.gov is not accepted due to domain's 550-5.7.1 DMARC policy.
    Please contact the administrator of nasa.gov domain if 550-5.7.1 this was a
    legitimate mail. Please visit 550-5.7.1
    https://support.google.com/mail/answer/2451690 to learn about the 550 5.7.1
    DMARC initiative. b21si2782778pjo.49 - gsmtp (in reply to end of DATA
    command)
550-5.7.1 Unauthenticated email from nasa.gov is not accepted due to domain's
550-5.7.1 DMARC policy. Please contact the administrator of nasa.gov domain if
550-5.7.1 this was a legitimate mail. Please visit
550-5.7.1  https://support.google.com/mail/answer/2451690 to learn about the
550 5.7.1 DMARC initiative. y11si4602435qva.106 - gsmtp

listing a huge number of @gmail.com addresses, followed by

  address01_redacted@yahoo.com
    SMTP error from remote mail server after end of data:
    host mta7.am0.yahoodns.net [xxx.xxx.xxx.xxx]: 554 5.7.9 Message not accepted for policy reasons.  See https://help.yahoo.com/kb/postmaster/SLN7253.html
  address02_redacted@yahoo.com
    SMTP error from remote mail server after end of data:
    host mta6.am0.yahoodns.net [xxx.xxx.xxx.xxx]: 554 5.7.9 Message not accepted for policy reasons.  See https://help.yahoo.com/kb/postmaster/SLN7253.html

------ This is a copy of the message, including all the headers. ------

Return-path: <mediawiki-l-bounces@lists.wikimedia.org>
Received: from localhost ([::1]:47024 helo=fermium.wikimedia.org)
        by fermium.wikimedia.org with esmtp (Exim 4.84_2)
        (envelope-from <mediawiki-l-bounces@lists.wikimedia.org>)
        id 1hajTX-0000oC-0E; Tue, 11 Jun 2019 16:18:19 +0000
Received: from ndjsvnpf102.ndc.nasa.gov ([xxx.xxx.xxx.xxx]:52202)
 by fermium.wikimedia.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <xxxxxxxxxxxxxxx@nasa.gov>)
From: "Evans, Richard K. (GRC-H000)" <xxxxxxxxxxxxxxx@nasa.gov>
To: "mediawiki-l@lists.wikimedia.org" <mediawiki-l@lists.wikimedia.org>
Subject: [MediaWiki-l] VisualEditor errors

That's all I know.

Thanks Andre, that makes it clear that this is once again a DMARC problem. nasa.gov has p=reject set, so providers are (theoretically) rightfully rejecting the emails.

According to https://wiki.list.org/DEV/DMARC could we try setting dmarc_moderation_action to Munge From?

Indeed Munge From seems the least intrusive, AFAICT lists administrators should be able to self-set this option for the list to test it works as expected.

Thanks.

I changed the value of Action to take when anyone posts to the list from a domain with a DMARC Reject/Quarantine Policy (confusingly called dmarc_moderation_action) on https://lists.wikimedia.org/mailman/admin/mediawiki-l/privacy/sender from Accept to Munge From.
Munge From means: This action replaces the poster's address in the From: header with the list's posting address and adds the poster's address to the addresses in the original Reply-To: header.

Does someone who understands DMARC better plan to document this on https://meta.wikimedia.org/wiki/Mailing_lists/Administration ?

Quiddity added a comment.EditedJun 12 2019, 5:53 PM

Is this something that should (and can?) be set globally on all our lists? E.g. There were a bunch from AOL/Yahoo on the Xmldatadumps list (which I've now updated following Andre's instructions).

ArielGlenn triaged this task as Normal priority.Jun 13 2019, 7:22 AM

I got such an email again. Is this happening weekly now?

I got this too on yahoo.

No idea until someone shares a complete email which includes all mail headers (but not in public please)... :)

@Aklapper Do you mean the "You have been unsubscribed" email or one of the bounces? I don't see how the former would help, but I can share that. The latter I am naturally unable to share because I don't receive the bounces nor the emails causing them.

Ah, true, indeed that won't help because there's no specific reason provided.

I have not received any Bounce action notification messages in the last two days, weird.

Aklapper renamed this task from gmail users being suspended from mediawiki-l due to excessive bounces to gmail users being suspended from mediawiki-l due to excessive bounces due to DMARC.Jun 21 2019, 8:37 AM